Bug 1484772 - [abrt] xfce4-settings: find_root(): xfce4-keyboard-settings killed by signal 11
Summary: [abrt] xfce4-settings: find_root(): xfce4-keyboard-settings killed by signal 11
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f1f2b16147cc5bea3141e4be69a...
Keywords:
: 1540793 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-24 10:13 UTC by Takamitsu Endo
Modified: 2018-03-20 18:12 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-20 17:28:17 UTC


Attachments (Terms of Use)
File: backtrace (25.87 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: core_backtrace (14.80 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: cpuinfo (1.05 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: dso_list (8.20 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: environ (1.96 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: maps (46.05 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: open_fds (834 bytes, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-08-24 10:13 UTC, Takamitsu Endo
no flags Details

Description Takamitsu Endo 2017-08-24 10:13:36 UTC
Version-Release number of selected component:
xfce4-settings-4.12.1-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        xfce4-keyboard-settings
crash_function: find_root
executable:     /usr/bin/xfce4-keyboard-settings
journald_cursor: s=1c02468ab23f40929f3364dd5693f5b9;i=17afa;b=1e36666de3334286a2f575147866c74b;m=4e190a93b;t=55714088745f9;x=67dfa0f71ead431a
kernel:         4.12.5-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 find_root at gsequence.c:1583
 #1 node_get_last at gsequence.c:1617
 #2 get_sequence at gsequence.c:175
 #3 g_sequence_iter_get_sequence at gsequence.c:1170
 #4 gtk_list_store_remove at gtkliststore.c:964
 #5 xfce_keyboard_settings_edit_button_clicked at xfce-keyboard-settings.c:1164
 #10 gtk_real_button_released at gtkbutton.c:1712
 #15 gtk_button_button_release at gtkbutton.c:1604
 #16 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #21 gtk_widget_event_internal at gtkwidget.c:5017

Potential duplicate: bug 1368348

Comment 1 Takamitsu Endo 2017-08-24 10:13:41 UTC
Created attachment 1317577 [details]
File: backtrace

Comment 2 Takamitsu Endo 2017-08-24 10:13:42 UTC
Created attachment 1317578 [details]
File: cgroup

Comment 3 Takamitsu Endo 2017-08-24 10:13:43 UTC
Created attachment 1317579 [details]
File: core_backtrace

Comment 4 Takamitsu Endo 2017-08-24 10:13:44 UTC
Created attachment 1317580 [details]
File: cpuinfo

Comment 5 Takamitsu Endo 2017-08-24 10:13:46 UTC
Created attachment 1317581 [details]
File: dso_list

Comment 6 Takamitsu Endo 2017-08-24 10:13:48 UTC
Created attachment 1317582 [details]
File: environ

Comment 7 Takamitsu Endo 2017-08-24 10:13:49 UTC
Created attachment 1317583 [details]
File: exploitable

Comment 8 Takamitsu Endo 2017-08-24 10:13:50 UTC
Created attachment 1317584 [details]
File: limits

Comment 9 Takamitsu Endo 2017-08-24 10:13:52 UTC
Created attachment 1317585 [details]
File: maps

Comment 10 Takamitsu Endo 2017-08-24 10:13:53 UTC
Created attachment 1317586 [details]
File: open_fds

Comment 11 Takamitsu Endo 2017-08-24 10:13:54 UTC
Created attachment 1317587 [details]
File: proc_pid_status

Comment 12 Takamitsu Endo 2017-08-24 10:13:55 UTC
Created attachment 1317588 [details]
File: var_log_messages

Comment 13 LiZhenbo 2017-08-29 17:33:11 UTC
Similar problem has been detected:

I tried to set keyboard shortcut
xset dpms force off && xscreensaver-command -l
to Super+L

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        xfce4-keyboard-settings
crash_function: find_root
executable:     /usr/bin/xfce4-keyboard-settings
journald_cursor: s=b7121c49ae36423cba2e684267bca620;i=29809;b=b0b892e677fd4eae846c9fd226f36cc0;m=1e7de381e;t=557e7ba0be39b;x=ed7e8c5e06b06710
kernel:         4.12.8-300.fc26.x86_64
package:        xfce4-settings-4.12.1-2.fc26
reason:         xfce4-keyboard-settings killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Mukundan Ragavan 2018-03-03 22:51:14 UTC
*** Bug 1540793 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2018-03-03 22:52:25 UTC
xfce4-settings-4.12.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4a2b7350f

Comment 16 Fedora Update System 2018-03-03 22:52:38 UTC
xfce4-settings-4.12.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9efc9ddbb6

Comment 17 Fedora Update System 2018-03-04 18:07:17 UTC
xfce4-settings-4.12.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9efc9ddbb6

Comment 18 Fedora Update System 2018-03-04 18:33:31 UTC
xfce4-settings-4.12.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4a2b7350f

Comment 19 Fedora Update System 2018-03-20 17:28:17 UTC
xfce4-settings-4.12.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-03-20 18:12:41 UTC
xfce4-settings-4.12.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.